WHICH(1)

NOM
which - Localiser une commande

SYNOPSIS
which [-a] nom_de_fichier...

DESCRIPTION
which returns the pathnames of the files (or links) which would be executed in the current environment, had its arguments been given as commands in a strictly POSIX-conformant shell. It does this by searching the PATH for executable files matching the names of the arguments. It does not canonicalize path names.

OPTIONS

-a  affiche tous les chemins correspondant à chaque argument.

VALEUR DE RETOUR

0   si toutes les commandes spécifiées sont trouvées et exécutables.

1   si une (ou plusieurs) commande spécifiée n'existe pas ou n'est pas exécutable.

2   si une option non valable est spécifiée.

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 8 décembre 2005. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.